## User Sessions User Sessions — Choose the session to use |

## Functions

GList * | lightdm_get_remote_sessions ()
GList * | lightdm_get_sessions ()
const gchar * | lightdm_session_get_key ()
const gchar * | lightdm_session_get_session_type ()
const gchar * | lightdm_session_get_name ()
const gchar * | lightdm_session_get_comment ()

## Object Hierarchy

## Includes

    #include <lightdm.h>

## Description

Object containing information about a session type. LightDMSession objects are not created by the user, but provided by the LightDMGreeter object.

## Functions

### lightdm_get_remote_sessions ()

    GList *
    lightdm_get_remote_sessions (void);

Get the available remote sessions.

#### Returns

A list of LightDMSession.

[element-type LightDMSession][transfer none]

### lightdm_get_sessions ()

    GList *
    lightdm_get_sessions (void);

Get the available sessions.

#### Returns

A list of LightDMSession.

[element-type LightDMSession][transfer none]

### lightdm_session_get_key ()

    const gchar *
    lightdm_session_get_key (LightDMSession *session);

Get the key for a session

#### Parameters

session | A LightDMSession |

#### Returns

The session key

### lightdm_session_get_session_type ()

    const gchar *
    lightdm_session_get_session_type (LightDMSession *session);

Get the type a session

#### Parameters

session | A LightDMSession |

#### Returns

The session type, e.g. x or mir

### lightdm_session_get_name ()

    const gchar *
    lightdm_session_get_name (LightDMSession *session);

Get the name for a session

#### Parameters

session | A LightDMSession |

#### Returns

The session name

### lightdm_session_get_comment ()

    const gchar *
    lightdm_session_get_comment (LightDMSession *session);

Get the comment for a session

#### Parameters

session | A LightDMSession |

#### Returns

The session comment

## Types and Values